public inbox for ltp@lists.linux.it
 help / color / mirror / Atom feed
From: "Mitani" <mitani@ryobi.co.jp>
To: 'Rishikesh K Rajak' <risrajak@linux.vnet.ibm.com>
Cc: ltp-list@lists.sourceforge.net, kamimura@ryobi.co.jp
Subject: Re: [LTP] About mail test
Date: Thu, 15 Apr 2010 11:30:45 +0900	[thread overview]
Message-ID: <001e01cadc43$a6d11400$f4733c00$@co.jp> (raw)
In-Reply-To: <20100401065639.GA13796@linux.vnet.ibm.com>

[-- Attachment #1: Type: text/plain, Size: 3811 bytes --]

Sorry.
My patch was destroyed by e-mail.
I attach patch for "mail_tests.sh" file.


Signed-off-by: Tomonori Mitani <mitani@ryobi.co.jp>


Regards--

-Tomonori Mitani

> -----Original Message-----
> From: Rishikesh K Rajak [mailto:risrajak@linux.vnet.ibm.com]
> Sent: Thursday, April 01, 2010 3:57 PM
> To: Mitani
> Cc: ltp-list@lists.sourceforge.net
> Subject: Re: [LTP] About mail test
> 
> 
> Hi Mitani,
> 
> can you please sign off ? And also send me a patch against today's git.
> 
> -Rishi
> 
> On Tue, Mar 30, 2010 at 10:57:49AM +0900, Mitani wrote:
> > Hi,
> >
> > I found two problems in mail test.
> > (${LTPROOT}/testcases/commands/mail/mail_tests.sh)
> > They are simple mistakes, I think.
> >
> > 1) About judgment for making a user name
> > In line 80 of "mail_tests.sh", there is following sentence.
> > ------------
> > if id -u mail_test >/dev/null 2>&1; then
> > ------------
> > This control sentence is going to judge whether the result of
> > "id -u mail_test" command is normal or not, I think.
> > But this sentence is not effective.
> > Therefore the user name "make_test" cannot be made when this user
> name
> > isn't exist.
> >
> >
> > 2) About "blind carbon copy" option
> > In "mail_tests.sh", there are 5 tests about mail.
> > 5th is "blind carbon copy" test.
> > However, this test doesn't use "-b" option but uses "-c" option.
> >
> >
> > Please consider the following revision.
> > ============
> > --- ./testcases/commands/mail/mail_tests.sh     2010-03-23
> > 17:56:21.000000000 +0900
> > +++ ./testcases/commands/mail/mail_tests.sh.new 2010-03-30
> > 10:39:40.000000000 +0900
> > @@ -77,7 +77,8 @@
> >
> >  # check if the user mail_test exists on this system.
> >  # if not add that user mail_test, will removed before exiting test.
> > -if id -u mail_test >/dev/null 2>&1; then
> > +id -u mail_test >/dev/null 2>&1
> > +if [ $? -ne 0 ] ; then
> >         tst_resm TINFO "INIT: Adding temporary user mail_test"
> >         useradd -m -s /sbin/nologin mail_test >
> $LTPTMP/tst_mail.out 2>&1
> >         if [ $? -ne 0 ]; then
> > @@ -327,7 +328,7 @@
> >  tst_resm TINFO "Test #5: blind carbon copy user@domain"
> >
> >  # send mail to root and carbon copy mail_test
> > -mail -s "Test" root@localhost -c mail_test@localhost < \
> > +mail -s "Test" root@localhost -b mail_test@localhost < \
> >         $LTPTMP/tst_mail.in > $LTPTMP/tst_mail.out 2>&1
> >  if [ $? -ne 0 ]; then
> >         tst_res TFAIL $LTPTMP/tst_mail.out \
> > @@ -344,10 +345,10 @@
> >
> >         if [ "x$RC1" != x0 -a "x$RC2" != x0 ]; then
> >                 tst_resm TPASS \
> > -                   "Test #5: Mail was carbon copied to user
> mail_test"
> > +                   "Test #5: Mail was blind carbon copied to user
> > mail_test"
> >         else
> >                 tst_res TFAIL $LTPTMP/tst_mail.res \
> > -                   "Test #5: mail failed to carbon copy user
> mail_test.
> > Reason:"
> > +                   "Test #5: mail failed to blind carbon copy user
> > mail_test. Reason:"
> >                 : $(( TFAILCNT += 1 ))
> >         fi
> >
> > ============
> >
> >
> > Thank you--
> >
> > -Tomonori Mitani
> >
> >
> >
> >
> ------------------------------------------------------------------
> ------------
> > Download Intel&#174; Parallel Studio Eval
> > Try the new software tools for yourself. Speed compiling, find bugs
> > proactively, and fine-tune applications for parallel performance.
> > See why Intel Parallel Studio got high marks during beta.
> > http://p.sf.net/sfu/intel-sw-dev
> > _______________________________________________
> > Ltp-list mailing list
> > Ltp-list@lists.sourceforge.net
> > https://lists.sourceforge.net/lists/listinfo/ltp-list
> 
> --
> Thanks & Regards
> Rishi
> LTP Maintainer
> IBM, LTC, Bangalore
> Please join IRC #ltp @ irc.freenode.net

[-- Attachment #2: mail_tests.patch --]
[-- Type: application/octet-stream, Size: 1378 bytes --]

--- a/testcases/commands/mail/mail_tests.sh	2010-04-01 16:15:00.000000000 +0900
+++ b/testcases/commands/mail/mail_tests.sh	2010-04-01 20:54:40.000000000 +0900
@@ -77,7 +77,8 @@
 
 # check if the user mail_test exists on this system.
 # if not add that user mail_test, will removed before exiting test.
-if id -u mail_test >/dev/null 2>&1; then
+id -u mail_test >/dev/null 2>&1
+if [ $? -ne 0 ] ; then
 	tst_resm TINFO "INIT: Adding temporary user mail_test"
 	useradd -m -s /sbin/nologin mail_test > $LTPTMP/tst_mail.out 2>&1
 	if [ $? -ne 0 ]; then
@@ -327,7 +328,7 @@
 tst_resm TINFO "Test #5: blind carbon copy user@domain"
 
 # send mail to root and carbon copy mail_test 
-mail -s "Test" root@localhost -c mail_test@localhost < \
+mail -s "Test" root@localhost -b mail_test@localhost < \
 	$LTPTMP/tst_mail.in > $LTPTMP/tst_mail.out 2>&1
 if [ $? -ne 0 ]; then
 	tst_res TFAIL $LTPTMP/tst_mail.out \
@@ -344,10 +345,10 @@
 
 	if [ "x$RC1" != x0 -a "x$RC2" != x0 ]; then
 		tst_resm TPASS \
-		    "Test #5: Mail was carbon copied to user mail_test"
+		    "Test #5: Mail was blind carbon copied to user mail_test"
 	else
 		tst_res TFAIL $LTPTMP/tst_mail.res \
-		    "Test #5: mail failed to carbon copy user mail_test. Reason:"
+		    "Test #5: mail failed to blind carbon copy user mail_test. Reason:"
 		: $(( TFAILCNT += 1 ))
 	fi
 

[-- Attachment #3: Type: text/plain, Size: 345 bytes --]

------------------------------------------------------------------------------
Download Intel&#174; Parallel Studio Eval
Try the new software tools for yourself. Speed compiling, find bugs
proactively, and fine-tune applications for parallel performance.
See why Intel Parallel Studio got high marks during beta.
http://p.sf.net/sfu/intel-sw-dev

[-- Attachment #4: Type: text/plain, Size: 155 bytes --]

_______________________________________________
Ltp-list mailing list
Ltp-list@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/ltp-list

  parent reply	other threads:[~2010-04-15  2:32 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2010-03-30  1:57 [LTP] About mail test Mitani
2010-04-01  6:56 ` Rishikesh K Rajak
2010-04-01 12:21   ` Mitani
2010-04-15  2:30   ` Mitani [this message]
2010-04-15  6:51     ` Rishikesh K Rajak
2010-04-15  8:34       ` Garrett Cooper

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to='001e01cadc43$a6d11400$f4733c00$@co.jp' \
    --to=mitani@ryobi.co.jp \
    --cc=kamimura@ryobi.co.jp \
    --cc=ltp-list@lists.sourceforge.net \
    --cc=risrajak@linux.vnet.ibm.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox